QUIZ(6)

NAME
quiz - random knowledge tests

SYNOPSIS
quiz [-t] [-i file] [question answer]

DESCRIPTION
The quiz utility tests your knowledge of random facts. It has a database of subjects from which you can choose. With no arguments, quiz displays the list of available subjects.

The options are as follows:

-t  Use tutorial mode, in which questions are repeated later if you didn't get them right the first time, and new questions are presented less frequently to help you learn the older ones.

-i  Specify an alternative index file.

Subjects are divided into categories. You can pick any two categories from the same subject. quiz will ask questions from the first category and it expects answers from the second category. For example, the command “quiz victim killer” asks questions which are the names of victims, and expects you to answer with the cause of their untimely demise, whereas the command “quiz killer victim” works the other way around.

If you get the answer wrong, quiz lets you try again. To see the right answer, enter a blank line.

  Index and Data File Syntax
The index and data files have a similar syntax. Lines in them consist of several categories separated by colons. The categories are regular expressions formed using the following meta-characters:

pat|pat
    alternative patterns
{pat}
    optional pattern
[pat]
    delimiters, as in pat[pat|pat]pat

In an index file, each line represents a subject. The first category in each subject is the pathname of the data file for the subject. The remaining categories are regular expressions for the titles of each category in the subject.

In data files, each line represents a question/answer set. Each category is the information for the question/answer for that category.

The backslash character (``\'') is used to quote syntactically significant characters, or at the end of a line to signify that a continuation line follows.

If either a question or its answer is empty, quiz will refrain from asking it.

FILES
/opt/share/games/quiz
    The default index and data files.

BUGS
quiz is pretty cynical about certain subjects.